[Q] use wpa_supplicant 2.3 (Lollipop) in Kitkat, it's possibile?

In android kitkat there is wpa_supplicant 2.1 , in Lollipop wpa_supplicant 2.3.

It is possibile to use wpa_supplicant 2.3 in android kitkat?
If is necessary to rebuild android from aosp is not a problem, but i really don't know how to change the build system to include this library.

Probably the best solution is to find which file (library.so etc...) can be replaced on Kitkat to update the library, because if i replace only the executable file "wpa_supplicant" in /system/bin, wifi is broken. But, which is the correct files?

I know, i'm completely crazy XD

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by blick.kaylie
4 hours ago
Last post by orath
25 minutes ago
Last post by layne16
3 hours ago
Last post by myles08
17 minutes ago
Last post by atorp
4 hours ago
Last post by dulce.lind
1 hour ago
Last post by diana50
4 hours ago
Last post by gutkowski.kailyn
27 minutes ago
Last post by rahsaan.batz
3 hours ago
Last post by vanessa.ullrich
4 hours ago
Last post by dexter69
1 hour ago
Last post by greta.herzog
31 minutes ago
Last post by gail26
2 hours ago